System.Design 1.0.5000.0 2.0.0.0 System.SystemException

This exception is thrown when the serializer encounters an error. This exception allows the serializer to return information about the location and type of the error.

The exception that is thrown when line number information is available for a serialization error.

- Constructor
  To be added.

  Initializes a new instance of the class using the specified exception and line information.

  The exception to throw.
  A that indicates where the exception occurred.
  1.0.5000.0
  2.0.0.0
- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class.

  The exception to throw.
  The object from which to extract the context.
- Constructor
  To be added.

  Initializes a new instance of the class using the specified serialization data and context.

  Stores the data that was being used to serialize or deserialize the object that the was serializing or deserializing.
  Describes the source and destination of the stream that generated the exception, as well as a means for serialization to retain that context and an additional caller-defined context.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added.

  Initializes a new instance of the class using the specified message and line information.

  A message describing the exception.
  A that indicates where the exception occurred.
  1.0.5000.0
  2.0.0.0
- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class.

  A message describing the exception.
  The object from which to extract the context.
- Method
  System.Void `` `` To be added.

  Sets the object with the parameter name and additional exception information.

  Stores the data that was being used to serialize or deserialize the object that the was serializing or deserializing. Describes the source and destination of the stream that generated the exception, as well as a means for serialization to retain that context and an additional caller-defined context. 1.0.5000.0 2.0.0.0
- Property
  System.CodeDom.CodeLinePragma To be added. To be added.

  Gets or sets the line information for the error associated with this exception.

  1.0.5000.0
  2.0.0.0